What is Allway Sync?

When you work with documents on multiple computers, keeping track of where the latest version of a given file is can require significant mental gymnastics. Even if you have the mental training and stamina, you can use those abilities for more important things by delegating to Allway Sync the tedious job of making sure the latest version of all your documents are everywhere you work. It automatically finds the latest version of each document and copies them, as needed, to all your systems and devices. That is, it synchronizes all those systems and devices so that they contain the latest version of all your important files.

Allway Sync uses innovative synchronization algorithms to synchronize your data between desktop PCs, laptops, USB drives and more. Allway Sync combines bulletproof reliability with an extremely easy-to-use interface.

How to...

Start using Allway Sync
Manage synchronization
Synchronize by using a removable drive
Synchronize many (more than two) folders concurrently
Synchronize all jobs at once
Include and exclude files or directories from synchronization
Synchronize automatically
Do one-way synchronization
Change the order of jobs
Use command line interface
Save old versions of data
Handle errors and warnings
Use environment variables
Use hot keys for menu commands

How does it work?

See Understanding Allway Sync's synchronization algorithms


Understanding How Synchronization Works

Synchronization works in two phases: analysis and synchronization.

Analysis Phase

In the analysis phase the program compares the contents of the folders to be synchronized to determine where there are mismatches in their contents and how to copy files so that the most current version of all files are propagated to all folders. The results of this analysis is provided to the user as a set of messages grouped in collections. You can review and revise actions planned, if necessary (e.g., you may want the older version of a document propagated instead of the new one). None of your files is changed during the analysis phase.

Synchronization Phase

In the synchronization phase the plan prepared (and possibly modified by you) during the analysis phase is carried out. Files are copied as necessary to synchronize the folders that are part of the synchronization job.

If the synchronize phase is started without first doing an analysis phase, both phases are executed, but you don't have a chance to review and modify the plan.
Be sure to launch the analysis phase before synchronization if you are not sure about possible file version conflicts.

At the end of the synchronization phase, the program stores service information about synchronized files in a special folder, \_sync.app (one for each synchronized folder). This information is used to reliably monitor file changes for the next synchronization run. It also allows file deletions to be handled correctly.
If you configure the program to propagate file deletions, it is important to review the Deleted files message collection before launching the synchronization phase.

Synchronization Algorithms

Some of the key characteristics of the Allway Sync synchronization algorithms are:

  • Implements true all-way (two-way, three-way, etc.) synchronization.
  • Uses only standard file system services. Does not require system injection, hooks, drivers or any other means that can make your system harder to manage.
  • File and folder metadata for each synchronization session is collected and stored in a database.
  • The most recent file version is determined based on a combination of file attributes, size and time-stamp (not just the file modification time).
  • To ensure the safety of your data, when there is uncertainty as to which file is the most recent, the user is prompted for confirmation.
  • Multiple instances of Allway Sync with access to a common file system can share common metadata databases.
  • In the event of network, hardware, or software failures during synchronization, none of your data is damaged.
  • Optimized to meet a high standard of performance.
  • Stores information about deleted files and folders in the metadata database.
  • Does not rely on the accuracy of the file system or computer clock.
  • Creates and maintains the proper folder structure when needed to properly synchronize files and folders.
  • Synchronize data other than simple files, including: registry keys, database records, messages, contacts, playlists, etc.

These algorithms were developed by a team of prominent mathematicians, and provides many unique benefits to the users of our software.


How to...

Start using Allway Sync
Specify folder paths in the folder selection panels, press the Analyze button, review messages describing planned actions, then press the Synchronize button.
Manage synchronization
Read the synchronization messages, and confirm or correct planned program actions.
Synchronize two computers using a removable drive
Start the application on the first computer specifying your working folder (for instance, My Documents) and the USB drive (or some folder on the USB drive). and synchronize. Go to the other computer and do the same. When you return to the first computer, repeat the procedure to update that system with any updated files. After that you can modify, add or delete your files on any device, synchronize, and the modifications are propagated to the other device(s). Using this mechanism, files are copied automatically from device to device--you don't have to remember which files have been modified, nor which device has the latest version of any given file. The application does all of that for you.
Synchronize more than two folders with each other
Use the Job > Advanced > Add Sync Folder menu item to add a new folder panel to the job, specify the path for the new folder to be added to the set of folders synchronized by the job, and press the Analyze button to start the analysis phase.
Synchronize all jobs at once
Select the File > Analyze All menu item to analyze all jobs simultaneously. Review and respond to the results as needed, than select the File > Synchronize All menu item to synchronize all jobs.
Exclude files or folders from synchronization
Select the View > Options... menu item to open the Options window. In the tree view on the left, select the job branch (expand Profile Settings, if necessary) for the job to which you want to add filters.
Use automatic synchronization
Select the View > Options... menu item to open the Options window. In the tree view on the left, select the job branch (expand Profile Settings, if necessary) of the job for which you want to schedule synchronization.
Do one-way synchronization
Click the big green arrow between folder selection panels to open the Select Synchronization Direction dialog. Select the source folder to specify one-way synchronization. Click on the button next to the small two-way arrow to revert to two-way (or n-way) synchronization.
Change job order in the profile window
Select the View > Options... menu item to open the Options window. In the tree view on the left, select the Profile Settings > General item. Then, select a job and use the Up/Down buttons to change the position of the selected job.
Use the command-line interface
Start the program from the command line with appropriate options.
Save old versions of data
File Versioning Policy allows to save files/folders before they will be changed/deleted.
Handle errors and warnings
Error Handling option allows to customize program behavior in case of errors and warnings.
Use of environment variables
Environment variables allow to use common file's paths to reach specific folder without knowledge of its location.


How to synchronize folders

How to synchronize folders with Allway Sync

Step 1: | Select the first folder you want to be synchronized in the left folder selection panel.
 | Select the second folder you want to be synchronized on the right folder selection panel.
Step 2: | Press the Analyze button.
Step 3: | Read the synchronization messages. There are several groups of messages. Each can be expanded or collapsed by by clicking on the title of the message group.
Step 4: (optional) | Review the messages. Confirm or correct the actions suggested by the program. You can correct suggested actions in the message groups. (See How to manage synchronization)
Step 5: | Press the Synchronize button and wait until synchronization finishes.
Finish: | Synchronization is finished.


How to use environment variables

What are environment variables

Environment Variables are values or settings that determine the default operation of operation system and are also passed on to application programs. Environment variables contain information about your working environment. These are set by system administrators but can be changed by the individual user.

Managing Environment Variables

System Variables

You must be an administrator to modify a system environment variable. System environment variables are defined by Windows and apply to all computer users. Changes to the system environment are written to the registry, and usually require a restart to become effective.

User Variables for User Name

Any user can add, modify, or remove a user environment variable. These variables are established by Windows XP Setup, by some programs, and by users. The changes are written to the registry, and are usually effective immediately. The common reason to add variables is to provide data that is required for variables that you want to use in scripts.

To view or change environment variables:

1. Right-click My Computer, and then click Properties.
2. Click the Advanced tab.
3. Click Environment variables.
4. Click one the following options, for either a user or a system variable:

• Click New to add a new variable name and value.
• Click an existing variable, and then click Edit to change its name or value.
• Click an existing variable, and then click Delete to remove it.

Example

Select the folder you want to be synchronized using environment variable on the folder selection panel(for example %WINDIR%). The variable will be replaced by the synchronizer a name of a real folder.


How to manage synchronization

After the analysis phase (but before synchronization) you can modify the planned actions, as necessary.

Each synchronization message consists of fields displaying items to be synchronized and an arrow between them that indicates the action planned during the synchronization phase.

When you place the cursor over the arrow it becomes a switch control. Use this control to modify the action planned for each file or folder by the synchronization algorithm, as appropriate.

To close the switch control just move the cursor out of the control, or click on it.

Once the planned action is completed for an item, the switch control in the corresponding message becomes inactive. After that, you cannot change or undo the completed action.


How to synchronize your files using a removable drive

Allway Sync doesn't merge the contents of two divergent versions of an individual file--it synchronizes the contents of directories by propagating the most recent version of each file to all synchronized directories. When two systems or devices can be connected directly to each other, Allway Sync can synchronize folders directly. Sometimes two systems (e.g., a home and office PC) are never directly connected. In such a situation you can synchronize folders on the unconnected systems indirectly using an intermediate, portable device, such as a USB flash drive. The procedure for doing this is outlined below.

Start Allway Sync on the first computer specifying your working folder (for instance, My Documents) and the USB drive (or some folder on the USB drive). and synchronize. Go to the other computer and do the same. When you return to the first computer, repeat the procedure to update that system with any updated files. After that you can modify, add or delete your files on any device, synchronize, and the modifications are propagated to the other system. Using this mechanism, files are copied automatically from device to device--you don't have to remember which files have been modified, nor which device has the latest version of any given file. The application does all of that for you.


How to synchronize more than two folders

Step 1: | Use the Job > Advanced > Add Sync Folder menu item to add a new folder selection panel to the job.
Step 2: | Use the new folder selection panel to specify the path of the additional folder you want include in the sync job.
Then... | Finish by synchronizing according to the procedure described in steps two through five of How to synchronize folders.


How to synchronize all jobs at once

Use the File > Analyze all menu item to analyze all jobs simultaneously. Then, use the File > Synchronize all menu item to synchronize all jobs.


How to filter files and folders

Inclusion and exclusion filters allow you to specify which files and folders to synchronize.

Inclusion filters
Only the files and folders that match at least one of these filters are synchronized by the job. If no inclusion filters are specified, all files and folders are included.
Exclusion filters
Files and folders that match at least one of these filters are not synchronized by the job.

You can create filters in either basic or advanced mode. In basic mode, you specify a file-path pattern. In advanced mode you can build a file filter that includes additional criteria including size, creation date and file status.

How to add a filter

Step 1: | In the Options window, navigate to and select the Profile Settings > [Job name] > Inclusion and Exclusion Filters menu item.
Step 2: | Click on the Add New button at the bottom of either the inclusion or exclusion filter list.
Step 3: | Type a file name or a file-path pattern in the line named File Name Filter and press the Enter keyboard button.
Step 4: (optional) | Press the Advanced button to switch to the advanced-mode filter dialog and complete the filter specification.
Finish | You've added one file filter. To collapse the filter body click on the minus sign to the left of the filter (It will be turned to plus sign). Add another filter, or press the Apply button at the bottom of the Options window.

How to edit a filter

Click on the plus sign to the left of the filter. You can then change the filter specification. To collapse the filter body click on the minus sign to the left of the filter

How to delete a filter

Press the Delete Filter button to the right of the filter.

How do filters work?

A file is synchronized only if it matches at least one file inclusion filter and does not match any file exclusion filter. Folders are treated very much like files--a folder is synchronized (that is, the folder itself is propagated) only if it matches at least one folder inclusion filter and does not match any folder exclusion filter. If a folder is synchronized, its contents (the files and folders it contains) are then considered for synchronization, based on how those items match, or don't match, the job's filters. Items contained in excluded folders are not considered for synchronization.

Correct specification of file-path patterns in a filter

All file and folder names in filters are paths inside the synchronization root.

The term synchronization root (sync root) refers to a top-level folder specified as the synchronized folder on any side of a synchronization job. For example, if you want to synchronize "c:\My Documents\Books\" with "d:\My Favourite Books\" these two folders are the synchronization roots.

A filter file-path pattern beginning with "\" applies only at the synchronization root and does not apply to its subfolders. Filter file-path patterns that are not tied to the synchronization root apply at the sync-root level and at all lower levels.

When you create an advanced filter, you can specify how file-path patterns are applied to the path of a given file or folder. Four choices are available:

If you select File only or Folder only, the file-path pattern you specify is compared only with the file or folder part of the path under consideration. If you select Files and folders, the file-path pattern you specify is compared with both the file and folder part of the path under consideration, and considered a match if either the file or folder matches.
File only
The file-path pattern is compared only against the file portion of the path under consideration.
Folder only
The file-path pattern is compared only against the folder portion of the path under consideration.
Files and folders
The file-path pattern is compared independently against both the file and folder portions of the path under consideration. The filter matches if either comparison matches.
File mask in subfolders
The file-path pattern is compared against the folder and file names combined as a single entity.

Examples:
Synchronization root c:\My Documents\Books\ <--> d:\My Favourite Books\
Corresponding Files c:\My Documents\Books\New\book1.txt <--> d:\My Favourite Books\New\book1.txt
Path from the sync root \New\book1.txt
File matches the filter
\New\*.txt | The file is in the subfolder "New" of the sync root and has a "txt" extension
book1.txt | The file is inside of the sync root. File matches only if the "New" folder matches some filter
*.txt | The file is inside of the sync root and has a "txt" extension. File matches only if the "New" folder matches some filter
\*\*.txt | The file is in a subfolder of the sync root and has a "txt" extension
New\book1.txt | The file is in the subfolder "New" which is inside of the sync root
File does not match the filter
\book1.txt | The file is not in the sync root
\*.txt | The file is not in the sync root
\*\*\book1.txt | The file is not in a sub-sub-folder of the sync root
\Books\New\book1.txt | Folder "Books" is not inside of the sync root
c:\My Documents\Books\New\book1.txt | Drive c:\ is not inside of the sync root

Examples of typical filters

File name | Apply to | Matches
* | Files and folders | All files and folders
*.* | Files only | All files
\folder\*.ext | Files only | All files with "ext" extension in "folder" directory, without subfolders
* | Folders only | All subfolders of the synchronization root
folder | Folders only | "folder" directories anywhere in the sync root
\folder | Folders only | "folder" subdirectory of the sync root
\folder\subfolder | Folders only | "subfolder" subdirectory of "folder" subdirectory of the sync root
*.ext | Files in subfolders | All files with "ext" extension, including subfolders
folder\*.ext | Files in subfolders | All files with "ext" extension in "folder" directory, including subfolders
\folder\*.ext | Files in subfolders | All files with "ext" extension in "folder" subdirectory of the sync root, including subfolders
* | Files and folders | All files and folders in the sync root and any of its subfolders
*.* | Files only | All files in the sync root and any of its subfolders
\folder\*.ext | Files only | All files with an extension of ext in the folder directory of the synchronization root
* | Folders only | The sync root and all of its subfolders
folder | Folders only | All folders named folder in the sync root, or any of its subfolders
\folder | Folders only | The folder named folder in the sync root
\folder\subfolder | Folders only | The subfolder named subfolder in the folder named folder in the sync root
*.ext | File mask in subfolders | All files with an extension of ext in the sync root and any of its subfolders
folder\*.ext | File mask in subfolders | All files with an extension of ext in all directories named folder in the sync root directory and any of its subfolders
\folder\*.ext | File mask in subfolders | All files with an extension of ext in the folder folder in the sync root


How to synchronize automatically

In the Options window, select the Profile Settings > [Job name] > Automatic Synchronization menu item to set automatic synchronization.


How to synchronize in one way

How to do one-way synchronization

Step 1: | Click on the big green arrow between folder selection panels.
Step 2: | The all-way/one-way control dialog appears.
Step 3: | To turn on one-way synchronization, click on the small round button for the source folder. To turn on all-way synchronization, click on the small round button next to the small two-way arrow.
Step 4: (optional) | Use the checkboxes at the bottom to specify how deleted and modified files should be handled during synchronization. In one-way synchronization the Propagate deletions checkbox is cleared by default.
Finish: | One-way synchronization is now turned on (or off).


Jobs reordering

How to change Jobs order

Click on the Profile Settings > General menu item in the Options window. Then, click on a job name and use the Up or Down button to change the position of the selected job within the list.


Command line options

Command line arguments are described in the table below:

Option | Description
-s | Start synchronization of one or more jobs. If the list of jobs is omitted the command is equal to "synchronize all" command.
-e | Exit application after successful synchronization.
-m | Start application minimized in the system tray.
-lf | Change of logfile location into other existing folder.
-l | Start application in "light" mode. Use this mode to avoid synchronizing at the beginning or end of the application when you have set the synchronize on application start or synchronize on application exit options.

Command line arguments may be specified in any order.

All of the following characters serve as command-line token-separators:

  • space
  • dash or minus
  • comma
  • quote
  • tab

Start sync job

To execute synchronization for one or more sync jobs, specify the job name(s) on the command line following the -s option. By default, sync job names are the path on the left-hand side of the job options panel. Sync jobs can be given simpler, more meaningful names--just navigate from the profile-window menu-bar to the Job > Rename menu item. To simplify specification of sync jobs on the command line, give jobs short, simple names. For example, the following command starts the synchronization application and executes the sync job named "My Documents":

syncappw.exe -s "My Documents"

To specify multiple sync jobs, separate the sync job names by commas:

syncappw.exe -s "My Documents", "43A1B297B90946189FD2CD8129AE3190", "My Pictures"

To specify all sync jobs, omit jobs list:

syncappw.exe -s

Exit after synchronization

Specify this option to exit the application after completing the specified sync job(s). Otherwise, the application keeps running until closed. In the following example, the sync job "My Documents" is executed as soon as the synchronization application starts. When that sync job ends, the application exits.

syncappw.exe -s "My Documents" -e

Minimize application

When this option is included, the synchronization application executes without displaying the user interface. An icon for the application is added to the system tray on the taskbar. Left-clicking on the icon causes the user interface to be displayed immediately. Right-clicking on the icon displays a context menu with several options. In the following example, the sync job "My Documents" is executed as soon as the synchronization application starts, but the profile window is not displayed. The application icon is added to the system tray on the taskbar.

syncappw.exe -s "My Documents" -m

Change logfile location

As the list of jobs is omitted all jobs will be done (equal to "synchronize all" command). The new location of logfile is "c:\logs\". The "Save log in file" option should be set.

syncappw.exe -s -lf "c:\logs"


How to save old versions of data

File Versioning Policy

File Versioning Policy allows you to specify the way of old versions saving. The settings are customizable for each of jobs.

Versioning of deleted files
You can specify what to do with files and folders deleted on other side of synchronization.
- Remove permanently
- Move to Recycle Bin. It is valid for local disks only.
- Move to "_SYNCAPP" folder. This option is recommended in most cases.
- Move to user-defined location.
Versioning of modified files
You can specify the way of saving of files that should be replaced during synchronization.

- Delete old versions permanently.
- Move to Recycle Bin. It is valid for local disks only.
- Move to "_SYNCAPP" folder.
- Move to user-defined location.

If you do not wish to save old version data you raise performance of sync process but have not chance to restore old data.

If you use recycle bin old data will be saved on local disks only (like the windows behaviour).

Using sync folder location (_SYNCAPP) allows to spend minimum of time during data synchronization of network drives (data trafic does not increase because of data saving) and removable devices (the time for transference of data to other device is not required). But make sure that you have enough of free device memory for old data saving.

User-defined folder permits to fix device for Versioning Policy.

How to change File Versioning Policy

Step 1: | In the Options window, navigate to and select the Profile Settings > [Job name] > File Versioning Policy menu item.
Step 2: | Set one of available alternatives for each of section and press Apply Button.


How to handle errors and warnings

Error Handling option allows you to customize program behavior in case of errors and warnings.

Error page

This page customizes program's actions in case of errors. All errors are combined into groups as listed below.

- Device is not found - errors that are associated with the search of files/devices on local PC.
- Network resource is not detected - errors that arise during seeking of devices or files in network environment.
- Access errors - errors that appear because of access permissions absence to files/devices.
- Other errors - all faults that are different from errors listed above.

Warning page

This page allows to tune synchronizer's behavior in case of warnings.

All warnings are classified to groups as listed below:

- Questionable file's appearing - These warnings report about files that have been modified more than in one root folder or files that have been removed from one root folder and modified in other root folder since last synchronization.
- Warnings about file deletion - These warnings are sent if the files will be deleted by design during synchronization.
- Substantial difference - This warning appears in case more than 50% of files in job were changed since last synchronization.
- Other warnings - All warnings not listed above.

Control items

Synchronizer is positioned on "Auto mode" if user does not participate in the managing of program behavior during synchronization process and on "Manual mode" otherwise. All groups of errors have own customized controls for each of modes. All possible alternatives of error handling are listed below.

- Cancel - Cancels synchronization process.
- Stop - Suspends synchronization till the user decided between "Skip" or "Retry" variants.
- Skip - Skips the item with error and go on synchronization.
- Ignore - Ignores warning, syncs the item by desing and go on synchronization.
- Auto Retry - Repeats the action that has generated error specified by user quantity of times.

Auto Retry choice has additional parameters: number of retry attempts and suspense period between adjoining attempts.

How to customize errors/warnings handling pages

Step 1: In the Options window, navigate to and select the Profile Settings > [Job name] > Error Handling menu item.
Step 2: Choose one of behavior variants for errors/warnings of each kind.
Finish To employ selected settings press the Apply button at the bottom of the Options window.


Hot keys for menu commands

You can run menu commands by "hot keys". They are described in the table below:

Hot keys | Menu command
Ctrl + O | Options
Ctrl + M | Minimize To System Tray
Ctrl + A | Analyze
Ctrl + S | Synchronize
Ctrl + C | Stop
Ctrl + N | Add Job
Ctrl + D | Remove Job
Ctrl + R | Rename Job
Ctrl + F | Find File
F5 | Refresh
F1 | Help Topics
Ctrl + Alt + F | Online FAQ
Ctrl + Alt + V | New Version Check
Ctrl + Alt + H | Go To Home Page
Ctrl + Alt + C | Contact Support
Ctrl + Alt + S | Usage Statistics
Ctrl + Alt + P | Activate Pro
Ctrl + Alt + A | About


Program interface

The Program interface displays the Profile window which contains the following elements:

  • Program menu
  • Job labels
  • Folder selection panel
  • Synchronization messages
  • Control buttons


Program menu

Menu Item | Description
File |
Analyze All | Start the analysis process for all jobs
Synchronize All | Start the synchronization process for all jobs
Stop All | Terminate any processing for all jobs
Export | Export application/profile settings to file
Import | Import application/profile settings from file
Minimize to system tray | Minimize application window to system tray
Exit | Exit the program
Edit |
Cut | Delete selected text and place it on the clipboard.
Copy | Copy selected text to the clipboard.
Paste | Copy selected text to the current insertion point from the clipboard.
Find | Find sync items using filters
View |
Options... | Show the Options window
Show logo | Show/hide the application Logo area on the Profile window
Show log window | Show/hide the Log window on the bottom of Profile window
Show log file | Show the Log file in the Note Pad
Show toolbar | Show/hide the Toolbar area on the Profile window
Customize toolbar | Choose toolbar items to show
Refresh | Refresh the Profile window
Job |
Analyze | Start the analysis process for the current job
Synchronize | Start the synchronization process for the current job
Stop | Terminate any processing for the current job
Source folder | Select Source folder for current job
Old version archive | Select folder for Old version archive
Propagate deletions | Enable/disable to propagate file deletions
Propagate modifications | Enable/disable to propagate file modifications
Advanced |
Add Sync Folder | Add a folder selection panel to the current job
Remove Sync Folder | Remove the active folder selection panel from the current job
Rename job | Rename the current job
Properties | Go to properties of the current job
Add New job | Add a new job to the profile
Delete job | Delete the current job from the profile
Language | Select the language used in the user interface
Help |
Help Topics | Access this Help system
Online FAQ | View the FAQ page at the product web site
New Version Check | Check if a new version is available
Go To Homepage | View the Home page at the product web site
Contact Support | View the Contacts page at the product web site
Usage Statistics... | View usage statistics for the synchronization application
Activate Pro... | Activate Pro features
About... | View version and copyright information


Jobs

A Job is a set of (usually two) folders and a description (instructions) of how the contents of the folders in the set should be synchronized with each other. You can synchronize more that one job at a time (Select the File > Synchronize All menu item). In the main user-interface window there is one tab for each job you create. Click on the tab for a job to bring its specification to the foreground where it can be viewed and changed.

Use the Job menu item to add, remove or rename jobs.


Folder selection panel

The folder selection panel consists of several (usually two) forms that allow you to set the paths of the folders to be synchronized .

To set the path for a synchronization folder:

  • Type the path for the folder in the entry field and press the Enter key on your keyboard or click the OK button below the entry field
  • Or, press the Browse button below the entry field and choose the folder using the folder selection dialog.

If you specify a folder that doesn't exist, it is created automatically.


Synchronization Messages

The program generates messages during both the analysis and synchronization phases. Messages are placed in to one of the following collections, based on their type and importance. Each group of messages can be viewed independently in its own messages panel.

The messages groups are:

  • Important Messages: user attention and intervention may be required
  • Info Messages: routine operational information
  • Questionable Files: items that have been modified more than in one folder since the last synchronization
  • Deleted Files: items (files and folders) marked for deletion
  • New Files: items that require file or folder creation
  • Changed Files: changed items
  • Unchanged Files: unchanged items
  • Excluded Files: items excluded based on filters
  • All Files: all items (files and folders) synchronized
  • Overridden by User: items that have been overrridden by user
It is a good idea to always review the messages in the Deleted files and Important Messages groups!!!


Control buttons

Analyze
Starts the analysis phase. During this phase, changes in the folders and files defined to be part of a synchronization job are analyzed. The application applies its synchronization algorithms to create a synchronization plan, but the plan is not executed yet.
Synchronize
Starts the synchronization phase. During this phase, the plan developed during the analysis phase is executed. Files and folders are copied or deleted, as needed, so that the folders that are part of the synchronization job have the relationship you specified in the profile panel for the job. The analysis phase is executed automatically as part of the synchronization phase, if it has not been executed yet.
Stop
Stops any analysis or synchronization activity. Also, all collected data is cleared.


Options settings

Options are grouped using a tree structure. Use the tree-view control on the left to navigate to the option page desired, then modify its settings on the right.

Section | Option | Description
Application Settings | Language | Select the language for the user interface.
 | Automatically check for software updates | Check periodically to see if new versions of the program are available. (Internet connection is required.)
 | Start application minimized to system tray icon at system startup | The application starts minimized to a system-tray icon when the user logs-in. Use this option when automatic synchronization is set.
Interface Settings | Memorize window positions | Memorize the size and position of all windows when they close.
 | Items per page | Specify the number of items displayed per page in each of the message collections on the job profile page.
 | Show balloon when synchronization finishes successfully | Check this option to have a system-tray balloon appear to inform you when background synchronization finishes successfully.
 | Show balloon when synchronization fails | Check this option to have a system-tray balloon appear to inform you if background synchronization fails.
Profile Settings | General | Options that apply to job profiles, including job order.
Job Settings (One branch per job) | Automatic synchronization | Presents various options for automatic synchronization. (See How to schedule)
 | Inclusion and Exclusion Filters | Filters control files included or excluded from the synchronization process. (See How to filter.)


Frequently Asked Questions

Please refer to our up-to-date, online FAQ page. You can use this link, or navigate to the Help > Online FAQ menu item.

If you can't find the answer to your question in the online FAQ page or in this help system, please contact us using the information on our web site.


System requirements

  • Windows 98/2000/ME/XP/2003
  • 100 MHz (or faster) processor
  • At least 32 MB RAM
  • At least 10 MB disk space
  • Screen resolution of at least 800x600 with at least 256 colors
  • Internet Explorer 5.5 (or later)
    Distributed with Windows XP/2000/2003
    You may download it for free from Microsoft's web site